|
|
@@ -0,0 +1,37 @@
|
|
|
+#!/bin/bash
|
|
|
+
|
|
|
+if [ -z "$(command -v numactl)" ]; then
|
|
|
+ echo "This script uses numactl to isolate each experiment to a single processing unit."
|
|
|
+ echo "You do not seem to have numactl installed. You can still run this script without numactl, but this may affect the results."
|
|
|
+ read -p "Continue without numactl? [y/N] " confirm
|
|
|
+ confirm=$(echo "$confirm" | tr '[:lower:]' '[:upper:]')
|
|
|
+ if [[ "$confirm" != "Y" && "$confirm" != "YES" ]]; then
|
|
|
+ exit 1
|
|
|
+ else
|
|
|
+ echo "Continuing without numactl"
|
|
|
+ fi
|
|
|
+fi
|
|
|
+
|
|
|
+# Set up dockers
|
|
|
+if [ ! -f belarus-2020-2021 ]; then
|
|
|
+ ./scripts/setup.sh || exit 1
|
|
|
+fi
|
|
|
+
|
|
|
+# Get Belarus results
|
|
|
+if [ "$1" == "--fast" ]; then
|
|
|
+ ./scripts/belarus.sh --fast
|
|
|
+else
|
|
|
+ ./scripts/belarus.sh
|
|
|
+fi
|
|
|
+
|
|
|
+# Run Lox benchmarks
|
|
|
+./scripts/generate-lox-results.sh
|
|
|
+
|
|
|
+# Process Lox benchmark results
|
|
|
+./scripts/process-lox-results.sh
|
|
|
+
|
|
|
+echo "Done!"
|
|
|
+echo "Results from Section 3 can be found in the section-3-results file."
|
|
|
+echo "Table 4 (in Appendix A) can be found in appendix-a-results.pdf."
|
|
|
+echo "Results from Section 6 (Tables 2 and 3) can be found in the table-2-results.pdf and table-3-results.pdf files."
|
|
|
+echo "Table 5 (in Appendix B) can be found in appendix-b-results.pdf."
|